import { jsx } from "react/jsx-runtime";
import { TokenKAN as TokenKAN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenKAN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "KAN", "data-name": "TokenKAN", ...props, children: /* @__PURE__ */ jsx(TokenKAN$1, { variant }) });
  }
);
TokenKAN.displayName = "TokenKAN";
Object.assign(TokenKAN, { isGdsIcon: true });
export {
  TokenKAN
};
